Bug 1272567 - jni/pom.xml needs a dependency on jboss-transaction-api_1.1_spec
jni/pom.xml needs a dependency on jboss-transaction-api_1.1_spec
Status: VERIFIED
Product: JBoss Data Grid 6
Classification: JBoss
Component: CPP Client (Show other bugs)
6.6.0
Unspecified Unspecified
unspecified Severity unspecified
: ER1
: 6.6.0
Assigned To: Alan Field
Alan Field
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-16 14:55 EDT by Alan Field
Modified: 2015-11-08 20:12 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Alan Field 2015-10-16 14:55:49 EDT
Description of problem:

Since this commit:

https://github.com/infinispan/jdg/commit/fffe909779787fd4cdf8ec2bd1512e544907d971

The jboss-transaction-api_1.1_spec JAR file is not a dependency of the C++ client and is needed to run the SWIG tests. This can be fixed by adding the following lines to the jni/pom.xml file:

      <version.jta>1.0.1.Final</version.jta>
      <dependency>
         <groupId>org.jboss.spec.javax.transaction</groupId>
         <artifactId>jboss-transaction-api_1.1_spec</artifactId>
         <version>${version.jta}</version>
         <scope>test</scope>
      </dependency>


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:
Comment 1 Alan Field 2015-10-16 14:56:18 EDT
This needs to be in ER1
Comment 4 Alan Field 2015-11-06 15:08:01 EST
Verified in JDG 6.6.0 ER1

Note You need to log in before you can comment on or make changes to this bug.